import express from 'express';
import { UserController } from '../controllers/user.controller';
const userRouter = express.Router();

userRouter.route('/login').post(
    (req, res) => new UserController().login(req, res)
)

userRouter.route('/getUser').post(
    (req, res) => new UserController().getUser(req, res)
)
userRouter.route('/dodaj').post(
    (req, res) => new UserController().dodaj(req, res)
)
userRouter.route('/dohvatiOstale').post(
    (req, res) => new UserController().dohvatiOstale(req, res)
)

userRouter.route('/kupiProizvod').post(
    (req, res) => new UserController().kupiProizvod(req, res)
)
userRouter.route('/uplati').post(
    (req, res) => new UserController().uplati(req, res)
)


export default userRouter;