import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { BrowserModule } from '@angular/platform-browser';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { HttpClientModule } from '@angular/common/http';
import { LoginComponent } from './login/login.component';
import { RegistrovaniComponent } from './registrovani/registrovani.component';
import { AdminComponent } from './admin/admin.component';
import { ListaZeljaComponent } from './lista-zelja/lista-zelja.component'

@NgModule({
  declarations: [
    AppComponent,
    LoginComponent,
    RegistrovaniComponent,
    AdminComponent,
    ListaZeljaComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    FormsModule,
    HttpClientModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
