import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AdminComponent } from './admin/admin.component';
import { ListaZeljaComponent } from './lista-zelja/lista-zelja.component';
import { LoginComponent } from './login/login.component';
import { RegistrovaniComponent } from './registrovani/registrovani.component';

const routes: Routes = [
  { path: '', component: LoginComponent },
  { path: 'registrovani', component: RegistrovaniComponent },
  { path: 'administrator', component: AdminComponent },
  { path: 'listaZelja', component: ListaZeljaComponent },

];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
